# Class ConstantFieldref

java.lang.Object
org.apache.bcel.classfile.Constant
org.apache.bcel.classfile.ConstantCP
org.apache.bcel.classfile.ConstantFieldref

All Implemented Interfaces:
  `Cloneable, Node`

public final class ConstantFieldref extends ConstantCP
This class represents a constant pool reference to a field.

- ## Field Summary

  ### Fields inherited from class ConstantCP

  `class_index, name_and_type_index`

  ### Fields inherited from class Constant

  `tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantFieldref(int classIndex, int nameAndTypeIndex)`
  Constructs a ConstantFieldref.
  `ConstantFieldref(ConstantFieldref c)`
  Initialize from another object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.

  ### Methods inherited from class ConstantCP

  `dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex, toString`

  ### Methods inherited from class Constant

  `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConstantFieldref

    public ConstantFieldref(ConstantFieldref c)
    Initialize from another object.
    Parameters:
      `c` - Source to copy.

  - ### ConstantFieldref

    public ConstantFieldref(int classIndex, int nameAndTypeIndex)
    Constructs a ConstantFieldref.
    Parameters:
      `classIndex` - Reference to the class containing the Field.
      `nameAndTypeIndex` - and the Field signature.

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of Fields, fields, attributes, etc. spawns a tree of objects.
    Specified by:
      `accept` in interface `Node`
    Specified by:
      `accept` in class `Constant`
    Parameters:
      `v` - Visitor object.